Name:           qjson
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
Version:        0.9.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Development/C
Url:            http://qjson.sourceforge.net/
Source0:        https://github.com/flavio/qjson/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires: lib64qt4-devel
BuildRequires: lib64qt5core-devel


%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
It can represents integer, real number, string, an ordered sequence of value, 
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects 
will be mapped to QVariantMap.

#--------------------------------------------------------------------
### Qt5 ###

%define major_qt5 0
%define libname_qt5 %mklibname qjson-qt5_ %{major_qt5}

%package -n     %{libname_qt5}
Summary:        Qt5-based library that maps JSON data to QVariant objects
Group:          System/Libraries
Provides:       %{name}-qt5 = %{version}-%{release}

%description -n %{libname_qt5}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson-qt5 is a qt5-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

%files -n   %{libname_qt5}
%_libdir/libqjson-qt5.so.%{major_qt5}*

#--------------------------------------------------------------------

%define develname_qt5 %mklibname qjson-qt5 -d

%package -n     %{develname_qt5}
Summary:        Development files for QJson-qt5
Group:          Development/Libraries
Requires:       %{libname_qt5} = %{version}-%{release}
Provides:       %{name}-qt5-devel = %{version}-%{release}

%description -n %{develname_qt5}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson-qt5 is a qt5-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

This package contains files for developing applications using
QJson-qt5.

%files -n %{develname_qt5}
%doc README.md README.license doc/html
%{_libdir}/libqjson-qt5.so
%{_libdir}/pkgconfig/QJson-qt5.pc
%{_libdir}/cmake/qjson-qt5/
%{_includedir}/qjson-qt5/

### End Qt5 ###

#--------------------------------------------------------------------

### Qt4 ###

%define major 0
%define libname %mklibname qjson %{major}

%package -n     %{libname}
Summary:        QJson is a qt4-based library that maps JSON data to QVariant objects
Group:          System/Libraries
Provides:       %{name} = %version-%release


%description -n %{libname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt4-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

%files -n   %{libname}
%_libdir/libqjson.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname qjson -d

%package -n     %{develname}
Summary:        Development files for QJson
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{develname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt4-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

This package contains files for developing applications using
QJson.

%files -n %{develname}
%doc README.md README.license doc/html
%{_libdir}/libqjson.so
%{_libdir}/pkgconfig/QJson.pc
%{_libdir}/cmake/qjson/
%{_includedir}/qjson/

### End Qt4 ###
#--------------------------------------------------------------------

%prep
%setup -q

cp -a . %{_builddir}/qt4

%build
### Qt5 build ###
%cmake_qt5 -DQT4_BUILD:BOOL=OFF
%make

### Qt4 build ###
pushd ../../qt4
%cmake_qt4 -DQT4_BUILD:BOOL=ON
%make
popd

### build docs ###
pushd ../doc
doxygen
popd

%install
rm -rf %buildroot
### Qt5 install ###
%make_install -C build

### Qt4 install ###
%make_install -C ../qt4/build


%changelog
* Thu Jan 05 2017 bb <bb> 0.9.0-1pclos2017
- update


